{% extends "base.html" %}
{% load helpers %}
{% load bootstrap5 %}
{% load static %}


{% block js %}
    <script src="{% static 'js/cbor.js' %}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/UAParser.js/0.7.20/ua-parser.min.js"></script>
    <script src="{% static 'js/fingerprint.js'%}"></script>
{% endblock js %}

{% block content %}

    <ul class="nav nav-tabs nav-justified mb-3" role="tablist">
        <li class="nav-item" role="presentation">
            <a class="nav-link{% if active_field == 'password' %} active{% endif %}" data-mdb-toggle="tab" href="#password-auth" role="tab" aria-selected="true">Password authentication</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link{% if active_field == 'two_factor' %} active{% endif %}" data-mdb-toggle="tab" href="#tf-auth" role="tab" aria-selected="false">Two-factor authentication</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link{% if active_field == 'digital_sign' %} active{% endif %}" data-mdb-toggle="tab" href="#ds-auth" role="tab" aria-selected="false">Digital signature authentication</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link{% if active_field == 'biometric' %} active{% endif %}" data-mdb-toggle="tab" href="#biometry-auth" role="tab" aria-selected="false">Biometric authentication</a>
        </li>
    </ul>

    <div class="tab-content">
        <div class="tab-pane fade{% if active_field == 'password' %} show active{% endif %}" id="password-auth" role="tabpanel">
            {% include 'includes/auth_form.html' with form=password_auth_form auth_type='password' button_value='Authenticate me!' %}
        </div>
        <div class="tab-pane fade{% if active_field == 'two_factor' %} show active{% endif %}" id="tf-auth" role="tabpanel">
            {% include 'includes/auth_form.html' with form=two_factor_auth_form auth_type='two_factor' button_value='Next' %}
        </div>
        <div class="tab-pane fade{% if active_field == 'digital_sign' %} show active{% endif %}" id="ds-auth" role="tabpanel">
            {% include 'includes/auth_form.html' with form=digital_sign_auth_form auth_type='digital_sign' button_value='Authenticate me!' %}
        </div>
        <div class="tab-pane fade{% if active_field == 'biometric' %} show active{% endif %}{% if not biometric_auth_form %} text-center{% endif %}" id="biometry-auth" role="tabpanel">
            {% if biometric_auth_form %}
                {% include 'includes/auth_form.html' with form=biometric_auth_form auth_type='biometric' button_value='Next' %}
            {% else %}
                Click button to start biometric authentication.
                <hr>
                {% bootstrap_button id='auth-biometry' content='Authenticate me!' %}
                <input type="hidden" id="biometry_begin_auth" data-url-selected="{% url 'auth:biometric_auth_begin' %}">
                <input type="hidden" id="biometry_complete_auth" data-url-selected="{% url 'auth:biometric_auth_complete' %}">
            {% endif %}
        </div>
    </div>

{% endblock content %}
